%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-remoting
Version:          4.0.21
Release:          4%{?dist}
Summary:          JBoss Remoting
License:          LGPLv2+
URL:              http://www.jboss.org/jbossremoting

# git clone git://github.com/jboss-remoting/jboss-remoting.git
# cd jboss-remoting && git checkout 4.0.21.Final && git checkout-index -f -a --prefix=jboss-remoting-4.0.21.Final/
# rm jboss-remoting-4.0.21.Final/src/test/resources/test-content.bin
# tar -cJf jboss-remoting-4.0.21.Final-CLEAN.tar.xz jboss-remoting-4.0.21.Final
Source0:          jboss-remoting-%{namedversion}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.xnio:xnio-api)
BuildRequires:    mvn(org.jboss.xnio:xnio-nio)

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-remoting-%{namedversion}

%build
# Skipped test because of removing binary content from test dir which is required to run them
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license COPYING.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 4.0.21-1
- update to 4.0.21.Final

* Thu Jun 02 2016 gil cattaneo <puntogil@libero.it> 4.0.18-1
- update to 4.0.18.Final

* Tue Mar 01 2016 gil cattaneo <puntogil@libero.it> 4.0.3-4
- fix FTBFS rhbz#1307652
- fix BR list and use BR mvn()-like
- introduce license macro
- fix erroneous dates

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 12 2014 Marek Goldmann <mgoldman@redhat.com> - 4.0.3-1
- Upstream release 4.0.3.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 4.0.0-2
- Fixed BR

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 4.0.0-1
- Upstream release 4.0.0.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Marek Goldmann <mgoldman@redhat.com> - 4.0.0-0.1.Beta1
- Upstream release 4.0.0.Beta1
- Using new guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.2.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.4-1
- Upstream release 3.2.4.GA

* Wed Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-3
- Rebuild

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-2
- Relocated jars to _javadir

* Thu Feb 16 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-1
- Upstream release 3.2.2.GA

* Tue Feb 14 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.1-1
- Upstream release 3.2.1.GA

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.CR6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.2.CR6
- Upstream release 3.2.0.CR6

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.CR2
- Upstream release 3.2.0.CR2

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging

